Bug 29714 - Corrupted image (running stripes) on Quadro NVS 3100M with embedded DisplayPort (HP EliteBook 8440p)
Summary: Corrupted image (running stripes) on Quadro NVS 3100M with embedded DisplayPo...
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-20 14:08 UTC by Yuriy Khomchik
Modified: 2010-09-30 12:37 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Output of dmesg on Linux kernel version 2.6.32 (67.71 KB, text/plain)
2010-08-20 14:08 UTC, Yuriy Khomchik
no flags Details
Output of dmesg on Linux kernel version 2.6.35 (12.46 KB, text/plain)
2010-08-20 14:09 UTC, Yuriy Khomchik
no flags Details
Output of dmesg on Linux kernel version 2.6.36 (69.89 KB, text/plain)
2010-08-20 14:10 UTC, Yuriy Khomchik
no flags Details
Output of dmesg on Linux kernel version 2.6.35 (74.55 KB, text/plain)
2010-08-20 14:13 UTC, Yuriy Khomchik
no flags Details
Output of dmesg on Linux kernel version 2.6.36 (snapshot 10.08.21) (69.38 KB, text/plain)
2010-08-21 13:59 UTC, Yuriy Khomchik
no flags Details
Photo of screen with this problem. Conslole. (37.16 KB, image/jpeg)
2010-08-22 10:10 UTC, Yuriy Khomchik
no flags Details
Photo of screen with this problem. Desktop. (35.04 KB, image/jpeg)
2010-08-22 10:12 UTC, Yuriy Khomchik
no flags Details
EDID of my display. (128 bytes, application/octet-stream)
2010-08-22 10:16 UTC, Yuriy Khomchik
no flags Details
Output of dmesg on Linux kernel version 2.6.36 (snapshot 10.08.23) (69.62 KB, text/plain)
2010-08-23 14:31 UTC, Yuriy Khomchik
no flags Details
Output of dmesg on Linux kernel version 2.6.36-rc3 (64.19 KB, text/plain)
2010-09-04 04:00 UTC, Yuriy Khomchik
no flags Details
Output of dmesg on Linux kernel version 2.6.36 with "drm.debug=14" option (692.87 KB, text/plain)
2010-09-09 12:32 UTC, Yuriy Khomchik
no flags Details
Output of dmesg on Linux kernel version 2.6.35 with "EVO channel init modifications" patch from bug 29171 (95.82 KB, text/plain)
2010-09-14 11:18 UTC, Yuriy Khomchik
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuriy Khomchik 2010-08-20 14:08:37 UTC
Created attachment 38027 [details]
Output of dmesg on Linux kernel version 2.6.32

Notebook: HP EliteBook 8440p (VQ667EA#ACB).
Graphics: Nvidia Quadro NVS 3100M (GT218M, NV50).
OS: Ubuntu 10.04.1 LTS (Linux 2.6.32-24 #41), Ubuntu 10.10 Alpha 3 (Linux 2.6.35-14 #19, Linux 2.6.36-999 #201008190908).

After initializing nouveau driver, image is transformed into running stripes. If screen shows text, stripes are thin. If screen shows desktop, stripes are thick, colored, and fill entire screen.
With binary Nvidia drivers, this problem is not available.
Outputs of dmesg is attached.

Thanks.
Comment 1 Yuriy Khomchik 2010-08-20 14:09:53 UTC
Created attachment 38028 [details]
Output of dmesg on Linux kernel version 2.6.35
Comment 2 Yuriy Khomchik 2010-08-20 14:10:40 UTC
Created attachment 38029 [details]
Output of dmesg on Linux kernel version 2.6.36
Comment 3 Yuriy Khomchik 2010-08-20 14:13:47 UTC
Created attachment 38030 [details]
Output of dmesg on Linux kernel version 2.6.35
Comment 4 Ben Skeggs 2010-08-20 16:56:40 UTC
What exact snapshot of 2.6.36 do you have?  A similar bug to this has been fixed already, and made it for -rc1.
Comment 5 Yuriy Khomchik 2010-08-21 00:00:11 UTC
(In reply to comment #4)
> What exact snapshot of 2.6.36 do you have?  A similar bug to this has been
> fixed already, and made it for -rc1.

I used snapshot from http://kernel.ubuntu.com/~kernel-ppa/mainline/daily/2010-08-19-maverick/. String from file BUILD.LOG: *** BUILDING: commit:763008c4357b73c8d18396dfd8d79dc58fa3f99d series:maverick abinum:999 ...
Can you give link to similar bug or commit that fixes this bug?
Comment 6 Yuriy Khomchik 2010-08-21 01:16:08 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > What exact snapshot of 2.6.36 do you have?  A similar bug to this has been
> > fixed already, and made it for -rc1.
> 
> I used snapshot from
> http://kernel.ubuntu.com/~kernel-ppa/mainline/daily/2010-08-19-maverick/.
> String from file BUILD.LOG: *** BUILDING:
> commit:763008c4357b73c8d18396dfd8d79dc58fa3f99d series:maverick abinum:999 ...
> Can you give link to similar bug or commit that fixes this bug?

Given that commit has been added to Linux kernel on 18 August, I do not think that these bugs are same and this bug fixed.
Comment 7 Yuriy Khomchik 2010-08-21 07:41:16 UTC
(In reply to comment #6)
> Given that commit has been added to Linux kernel on 18 August, I do not think
> that these bugs are same and this bug fixed.

I mean commit 763008c4357b73c8d18396dfd8d79dc58fa3f99d from which built Linux kernel version 2.6.36.
Comment 8 Yuriy Khomchik 2010-08-21 13:53:10 UTC
I made screenshot, and in contrast to image on screen, it shows perfect picture.
Comment 9 Yuriy Khomchik 2010-08-21 13:59:11 UTC
Created attachment 38050 [details]
Output of dmesg on Linux kernel version 2.6.36 (snapshot 10.08.21)
Comment 10 Yuriy Khomchik 2010-08-22 10:10:20 UTC
Created attachment 38064 [details]
Photo of screen with this problem. Conslole.
Comment 11 Yuriy Khomchik 2010-08-22 10:12:15 UTC
Created attachment 38065 [details]
Photo of screen with this problem. Desktop.
Comment 12 Yuriy Khomchik 2010-08-22 10:16:09 UTC
Created attachment 38066 [details]
EDID of my display.
Comment 13 Yuriy Khomchik 2010-08-23 14:31:38 UTC
Created attachment 38112 [details]
Output of dmesg on Linux kernel version 2.6.36 (snapshot 10.08.23)

Please note this line: [   14.439634] BUG: unable to handle kernel NULL pointer dereference at (null).
Comment 14 Yuriy Khomchik 2010-09-04 04:00:06 UTC
Created attachment 38428 [details]
Output of dmesg on Linux kernel version 2.6.36-rc3
Comment 15 Yuriy Khomchik 2010-09-04 04:13:00 UTC
I sent output of MMIO tracing by e-mail to the appropriate address.
Comment 16 Yuriy Khomchik 2010-09-04 06:50:18 UTC
Suspicious strings from output of dmesg, possibly pointing to this problem:

...
[   13.904181] [drm] nouveau 0000:01:00.0: unplugged Embedded DisplayPort-1
[   13.904944] [drm] nouveau 0000:01:00.0: plugged Embedded DisplayPort-1
[   13.906631] [drm] nouveau 0000:01:00.0: unplugged Embedded DisplayPort-1
[   13.907431] [drm] nouveau 0000:01:00.0: plugged Embedded DisplayPort-1
[   14.018602] [drm] nouveau 0000:01:00.0: unplugged Embedded DisplayPort-1
[   14.019357] [drm] nouveau 0000:01:00.0: plugged Embedded DisplayPort-1
[   14.019367] [drm] nouveau 0000:01:00.0: plugged Embedded DisplayPort-1
[   14.021106] [drm] nouveau 0000:01:00.0: unplugged Embedded DisplayPort-1
[   14.021904] [drm] nouveau 0000:01:00.0: plugged Embedded DisplayPort-1
[   14.133016] [drm] nouveau 0000:01:00.0: unplugged Embedded DisplayPort-1
[   14.133032] [drm] nouveau 0000:01:00.0: unplugged Embedded DisplayPort-1
[   14.133799] [drm] nouveau 0000:01:00.0: plugged Embedded DisplayPort-1
[   14.135469] [drm] nouveau 0000:01:00.0: unplugged Embedded DisplayPort-1
[   14.135478] [drm] nouveau 0000:01:00.0: unplugged Embedded DisplayPort-1
[   14.136267] [drm] nouveau 0000:01:00.0: plugged Embedded DisplayPort-1
...
Comment 17 Yuriy Khomchik 2010-09-09 12:32:49 UTC
Created attachment 38583 [details]
Output of dmesg on Linux kernel version 2.6.36 with "drm.debug=14" option
Comment 18 Yuriy Khomchik 2010-09-12 14:20:14 UTC
Similar bugs: bug 29415, bug 29820.
Comment 19 Yuriy Khomchik 2010-09-13 02:20:14 UTC
It looks like bug 29171. In my case laptop also uses EFI.
Comment 20 Yuriy Khomchik 2010-09-14 11:18:56 UTC
Created attachment 38701 [details]
Output of dmesg on Linux kernel version 2.6.35 with "EVO channel init modifications" patch from bug 29171

With "EVO channel init modifications" patch from bug 29171 instead corrupted screen I see black screen.
Comment 21 Yuriy Khomchik 2010-09-30 12:37:56 UTC
Commit http://cgit.freedesktop.org/nouveau/linux-2.6/commit/?id=2aa335a9b84e5403c3d0be3a35237c6c695d812e fixes this bug. Ben, thank you very much.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.